Skip to content

Brain Feature Summary

Request

Brain Feature Summary Report

Fields

FieldTime WindowsRollups
Dimensions
agg_timestampyesterday, last_X_days, month_to_dateby_day
advertiser_id
AnyAny
advertiser_name
AnyAny
agency_id
AnyAny
agency_name
AnyAny
campaign_id
AnyAny
campaign_name
AnyAny
feature
AnyAny
index
AnyAny
model_goal
AnyAny
organization_id
AnyAny
organization_name
AnyAny
position
AnyAny
Metrics

Pageable

Yes

Time Windows

yesterday, last_X_days, month_to_date

Rollups

by_day

Security
Auth0(Required scopes: offline_access)
Bodyapplication/jsonrequired
One of:
end_timestring or null, (date-time)
fieldsArray of strings, non-empty, uniquerequired
filtersArray of objects, non-emptyrequired
full_entitiesArray of strings or null, non-empty, unique
max_resultsinteger or null, >= 1

Maximum number of results to return. Only applicable for streaming responses. No limit if absent or null.

orderArray of objects
paginationobject or null

Streaming response if absent or null, Paginated response otherwise

rollupstringrequired
start_timestring, (date-time)
time_windowstring
time_zonestring

Only in supported datasets: campaign, UTC or a time zone name defined in https://www.iana.org/time-zones

POST
/brain-feature-summary
curl -i -X POST \
  https://api.mediamath.com/reporting/v2/brain-feature-summary \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "fields": [
      "campaign_id",
      "impressions"
    ],
    "filters": [
      {
        "field": "organization_id",
        "op": "=",
        "value": 123456
      },
      {
        "field": "agency_id",
        "value": [
          123456,
          789012
        ]
      },
      {
        "field": "advertiser_id",
        "value": 123456
      },
      {
        "field": "campaign_name",
        "op": "=~",
        "value": "Test Campaign"
      }
    ],
    "order": [
      {
        "desc": false,
        "field": "agg_timestamp",
        "nulls_last": true
      }
    ],
    "pagination": {
      "page_index": 0,
      "page_size": 100
    },
    "rollup": "by_day",
    "time_window": "last_7_days"
  }'

Responses

JSON for Paginated, JSONL for Streaming

Body
metaobject
resultsArray of objects
Response
{ "meta": { "items_count": 3, "page_index": 0, "status": "OK", "total_items_count": 3, "total_pages": 1 }, "results": [ {}, {}, {} ] }